function [] = updateGui()
%UPDATEGUI Summary of this function goes here
%   Detailed explanation goes here

global artoaGui artoaWorkspace;

if ~isfield(artoaWorkspace, 'editOffsets')
    return;
end

fields = artoaWorkspace.editOffsets;
fieldNames = fieldnames(fields);

for i = 1:length(fieldNames)
    currentValue = fields.(fieldNames{i});
    switch fieldNames{i}
        case 'useOffsets'
            artoaGui.editOffsets.checkboxUseOffsets.Value = currentValue;
        case 'offsets'
            artoaGui.editOffsets.tableSoundsourceOffsets.Data = table2cell( ...
                currentValue ...
            );
            artoaGui.editOffsets.tableSoundsourceOffsets.RowName = currentValue.Properties.RowNames;
            artoaGui.editOffsets.tableSoundsourceOffsets.ColumnName = { ...
                '<html>Offset<br>Start Date', ...
                '<html>Offset<br>Start', ...
                '<html>Offset<br>End Date', ...
                '<html>Offset<br>End', ...
                'Drift', ...
                '<html>Measured<br>Soundspeed', ...
                '<html>Empirical<br>Soundspeed', ...
                '<html>Optimum<br>Soundspeed', ...
                '<html><b>Applied<br>Soundspeed', ...
                '<html>Empirical<br>Offset', ...
                '<html>Empirical<br>Drift', ...
                '<html>Optimum<br>TotalOffset', ...
                '<html>Optimum<br>TotalDrift', ...
                '<html><b>Applied<br>Offset', ...
                '<html><b>Applied<br>Drift' ...
            };
    end
end

end

