function [rafosDate] = datevec2rd(pDatevec)
%DATEVEC2RD Converts a datevec in the format Y m d H M s to rafos date.
%   Detailed explanation goes here

rafosDate = artoa.convert.dmy2rd( ...
    pDatevec(3), ...
    pDatevec(2), ...
    pDatevec(1) ...
    ) ...
    + artoa.convert.hms2rd(pDatevec(4), pDatevec(5), pDatevec(6));

end

